set echo on

create table clob_example (
    clob_key        number,
    clob_value      clob
    );

--insert into clob_example (clob_key, clob_value) values (1, 
--'By default, SQL*Plus will only display the first 80 characters of a CLOB value. This is rarely enough. After all, if you only needed 80 characters, you wouldnt have used a CLOB datatype in the first place. On the other hand, you may not want to risk printing 2 gigabytes of data either.' 
--);

insert into clob_example (clob_key, clob_value) values (1, 
'By default, SQL*Plus will only display the first 80 characters of a CLOB value.
This is rarely enough. After all, if you only needed 80 characters,
you wouldn''t have used a CLOB datatype in the first place.
On the other hand, you may not want to risk printing 2 gigabytes of data either.');

commit;

SELECT clob_value FROM clob_example;

SET LONG 500
SELECT clob_value FROM clob_example;

SET LONG 22
SET LOBOFFSET 81
SELECT clob_value FROM clob_example;

